Skip to content

List Character Arcs

GET
/api/creative/plot/character-arcs

List character arcs, optionally filtered by character or plotline.

character_entry_id
Any of:
string
plotline_id
Any of:
string

Successful Response

CharacterArcListResponse

Character arc list response.

object
status
required
Status

Operation status

string
data
required
CharacterArcListData

List payload

object
arcs
required
Arcs

Character arcs

Array<object>
CharacterArc

A character arc definition (Weiland’s framework).

object
id
required
Id

Arc UUID

string
characterEntryId
required
Characterentryid

Lore entry for the character

string
plotlineId
Any of:
string
arcType
Arctype

Arc type

string
default: positive_change
Allowed values: positive_change flat disillusionment fall corruption
theLie
Thelie

The Lie the character believes

string
""
theGhost
Theghost

The Ghost — backstory wound

string
""
theWant
Thewant

The Want — conscious desire

string
""
theNeed
Theneed

The Need — unconscious truth

string
""
theTruth
Thetruth

The Truth the character must learn

string
""
notes
Notes

Author notes

string
""
characterTitle
Charactertitle

Character name (denormalized)

string
""
plotlineTitle
Plotlinetitle

Plotline title (denormalized)

string
""
createdAt
required
Createdat

Created timestamp (ms)

integer
modifiedAt
required
Modifiedat

Modified timestamp (ms)

integer
total
required
Total

Total count

integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object